#ifndef LUA_CALL_H
#define LUA_CALL_H

/*
 * lua_call.h - header file for lua_call.c
 *
 * Copyright 2006   firkanim@mail.datanet.hu (Fazekas Laszlo)
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <lua.h>

#ifndef LUA_VERSION_NUM
#define LUA_VERSION_NUM 500
#endif
#ifndef LUA_VERSION
#define LUA_VERSION "unknown"
#endif

typedef struct {
	lua_State	*L;
} LCall_Struc;

extern int lcall_init(LCall_Struc *);
extern void lcall_exit(LCall_Struc *);

extern int lcall_dostring(LCall_Struc *, const char *);

#endif /* LUA_CALL_H */
